<?xml version="1.0" encoding="UTF-8" ?>
<odoo>
    <record id="sos_mat_outsourcing_vendor_register_view_tree" model="ir.ui.view">
        <field name="name">sos_mat_outsourcing_vendor_register.view.tree</field>
        <field name="model">sos_mat_outsourcing_vendor_register</field>
        <field name="arch" type="xml">
            <tree>
                <field name="supplier_name"/>
                 <field name="qp_no"/>
                 <field name="write_uid" string="Last Edited By" optional="hide"/>
                <field name="write_date" string="Last Edited On" optional="hide"/>
            </tree>
        </field>
    </record>
 
 <record id="action_mat_outsourcing_vendor_register" model="ir.actions.act_window">
    <field name="name">Supplier Performance Monitoring Record</field>
    <field name="type">ir.actions.act_window</field>
    <field name="res_model">sos_mat_outsourcing_vendor_register</field>
    <field name="view_mode">tree,form</field>
    <field name="view_id" ref="sos_mat_outsourcing_vendor_register_view_tree"/>
</record>
       <record id="sos_mat_outsourcing_vendor_monitoring_register_form_view" model="ir.ui.view">
      <field name="name">Form</field>
        <field name="model">sos_mat_outsourcing_vendor_register</field>
        <field name="arch" type="xml">
            <form>
            <sheet>
              <h2 style="text-align: center;text-transform: uppercase;text-shadow: 1px 1p 1px #140718;color: #65407c;padding:5px;">Supplier Performance Monitoring Record</h2><hr></hr><br></br>   
            <group>
            <group>
             <field name="supplier_name"/>
            </group>

            <group>
             <field name="qp_no"/> 
            </group>
            </group>
              <notebook>
            <page string="Purchase Order">
                <field name="line_ids">
                <tree editable="bottom">
                 <field name="po_no"/>
                 <!--<field name="dc_references" widget="many2many_tags"/> 
                 <field name="iqi_references" widget="many2many_tags"/>     -->
                 <field name="material_names" widget="many2many_tags"/>
                 <field name="grn_references" widget="many2many_tags"/>
                 <field name="received_qty"/>
                 <field name="approved_qty"/>
                 <field name="rejected_qty"/>
                 <field name="ppm"/>
                 <field name="rejection_percentage_display"/>
                 <field name="quality_marks"/>
                 <field name="delivery_marks"/>
                 <field name="responsiveness_marks"/>
                 <field name="report_marks"/>
                 </tree>
                </field>
                </page>
                </notebook>
 
                </sheet>
            </form>
        </field>
    </record>

              <menuitem id="mat_outsourcing_vendor_monitoring_register_menu"
              name="Supplier Performance Monitoring Record"
              parent="scg_forms_menu_root"
              action="action_mat_outsourcing_vendor_register" groups="sos_inventory.sos_scg_group_manager,sos_inventory.sos_scg_group_user,sos_inventory.sos_qa_user,sos_inventory.sos_qc_user,sos_inventory.sos_management_user"/>
</odoo>
